# -*- coding: utf-8 -*-

import myWinApi
import time

chara = ''
hwnd = ''

def setHwnd():
	global hwnd 
	hwnd = myWinApi.getid("PS4")

def setChara(str):
	global chara
	chara = str

def checkImg(img):
	bool, position = myWinApi.chkimg('img\\'+img, hwnd)
	return bool

def checkImgWithPosition(img):
	bool, position = myWinApi.chkimg('img\\'+img, hwnd)
	return(bool, position)

def displayPressKey(str):
	msg = '   Press: '
	if str == 'w':
		msg = msg + 'UP'
	elif str == 'a':
		msg = msg + 'LEFT'
	elif str == 's':
		msg = msg + 'DOWN'
	elif str == 'd':
		msg = msg + 'RIGHT'
	elif str == 'i':
		msg = msg + 'TRIANGLE'
	elif str == 'j':
		msg = msg + 'SQUARE'
	elif str == 'k':
		msg = msg + 'CROSS'
	elif str == 'l':
		msg = msg + 'CIRCLE'
	elif str == 'u':
		msg = msg + 'R1'
	elif str == 'o':
		msg = msg + 'OPTION'
	else:
		msg = msg + '? str=' + str
	myPrint(msg)

def pressKey(str, wait=2):
	#displayPressKey(str)
	if str == 'up':
		keyCode=38
	elif str == 'left':
		keyCode=37
	elif str == 'down':
		keyCode=40
	elif str == 'right':
		keyCode=39
	elif str == 'esc':
		keyCode=27
	elif str == 'enter':
		keyCode=13
	elif str == 'options':
		myWinApi.clickNearCenter()
		time.sleep(1)
		bool, pos = checkImgWithPosition('options.png')
		if not bool:
			return
		myWinApi.clickOptionsButton(pos[0], pos[1])
		time.sleep(1)
		myWinApi.moveCenter()
		time.sleep(wait)
		return 0
	else:
		return 0
	myWinApi.keyboard(keyCode)
	time.sleep(wait)
	
def pressKeyShortWait(str):
	pressKey(str, wait=0.5)


def getCharas():
	charas=[]
	charas.append('kasumi')
	charas.append('momizi')
	charas.append('hitomi')
	charas.append('erena')
	charas.append('marie')
	charas.append('honoka')
	charas.append('nyotengu')
	charas.append('kokoro')
	charas.append('ayane')
	return charas

def myPrint(str):
	msg = '['+chara+'] '
	msg = msg+str
	print msg

def checkTitle():
	#print 'Check Title'
	if checkImg('title_logo.png'):
		myPrint('Detect Title')
		return True
	return False

def checkEnding():
	#print 'Check Ending'
	if checkImg('ending_logo.png'):
		myPrint('Detect Ending')
		return True
	return False


def checkGoIsland():
	#print 'Check Go Island'
	if checkImg('go_island.png'):
		myPrint('Detect GoIsland')
		return True
	return False


def checkMorning():
	#print 'Check Morning'
	if checkImg('morning.png'):
		myPrint('Detect Morning')
		return True
	return False

def checkDayTime():
	#print 'Check Day Time'
	if checkImg('day_time.png'):
		myPrint('Detect DayTime')
		return True
	return False

def checkEvening():
	#print 'Check Evening'
	if checkImg('evening.png'):
		myPrint('Detect Evening')
		return True
	#return False

def checkNightTime():
	#print 'Check Night Time'
	if checkImg('night_time.png'):
		myPrint('Detect NightTime')
		return True
	return False
		

def checkInHotel():
	#print 'Check Casino'
	if checkImg('in_hotel.png'):
		myPrint('Detect InHotel')
		return True
	return False

def checkNext():
	#print 'Check Next'
	if checkImg('next1.png') or checkImg('next2.png'):
		myPrint('Detect Next')
		return True
	return False

def checkGoTitle():
	#print 'Check Go Title'
	if checkImg('go_title.png'):
		myPrint('Detect GoTitle')
		return True
	return False
	
def checkSelectPool():
	#print 'Check Relax'
	if checkImg('in_pool.png'):
		myPrint('Detect Select Pool')
		return True
	return False

def checkPyonPyonGame():
	#print 'Check PyonPyo Game'
	if checkImg('pyonpyon_select.bmp'):
		myPrint('Detect PyonPyonGame')
		return True
	return False

def checkInCasino():
	#print 'Check In Casino'
	if checkImg('in_casino.png'):
		myPrint(' ! Detect In Casino. Please Debug !')
		return True
	return False

def checkSelectGirl():
	#print 'Check Select Girl'
	if checkImg('select_girl.png'):
		myPrint('Detect SelectGirl')
		return True
	return False
	
def checkSelectPartner():
	#print 'Check Select Partner'
	if checkImg('select_partner.bmp'):
		myPrint('Detect SelectPartner')
		return True
	return False

def checkPSMark():
	#print 'Check Select Partner'
	if checkImg('ps.png'):
		myPrint('Detect PS mark')
		return True
	return False
	

def selectPool():
	myPrint(' Select Pool')
	while not checkImg('location_pool.bmp'):
		pressKey('right')
	pressKey('enter')

def selectPyonPyonGame():
	myPrint(' Select PyonPyon Game')
	keyCount=0
	key='down'
	while not checkImg('pyonpyon_select.bmp'):
		pressKey(key)
		keyCount=keyCount+1
		if keyCount>5:
			if key=='down':
				key='up'
			else:
				key='down'
			keyCount=0
	pressKey('enter')
	time.sleep(5)

def doPyonPyonGame():
	myPrint('  Do PyonPyon Game')
	pressKey('enter')
	time.sleep(1)
	while checkImg('time.bmp'):
		pressKeyShortWait('enter')
	time.sleep(5)
	pressKey('enter')
	time.sleep(10)

def goToBed():
	myPrint('  Go To Bed')
	isLastNight = False
	while not checkImg('hotel_sleep.bmp'):
		pressKey('down')
		if checkImg('last_night.png'):
			print 'Last Night'
			isLastNight = True
			break
	pressKey('enter')
	time.sleep(5)
	skipSpeech()
	if isLastNight:
		skipMovie()
		skipSpeech()
	
def goIsland():
	myPrint('  Go Island')
	time.sleep(1)
	pressKey('esc')
	time.sleep(2)
	while not checkGoIsland():
		pressKey('down')
	pressKey('enter')
	time.sleep(5)
	skipMovie()
	
def selectChara(charaName):
	myPrint(' Select: '+charaName)
	while not checkImg('chara\\'+charaName+'.png'):
		pressKey('right')
	pressKey('enter')
	skipMovie()

def selectPartner():
	myPrint(' Select Partner')
	pressKey('enter')
	time.sleep(5)


def skipSpeech():
	if checkImg('skip_speech.bmp') or checkNext() or checkGoTitle():
		myPrint(' Skip Speech')
		while checkImg('skip_speech.bmp') or checkNext() or checkGoTitle():
			pressKey('enter')
			time.sleep(5)
	
def skipMovie():
	myPrint(' Skip Movie')
	time.sleep(5)
	pressKey('esc')
	time.sleep(1)
	pressKey('options')
	time.sleep(5)