# -*- coding: utf-8 -*-

import myWinApi
import time
from DOAX3 import *

SCREEN_WIDTH = 1920
SCREEN_HEIGHT = 1080
SCREEN_SCALING_FACTOR = 1

'''
[chara] 
'kasumi'
'momizi'
'hitomi'
'erena'
'marie'
'honoka'
'nyotengu'
'kokoro'
'ayane'
'''

chara='kasumi'
skipChara = ['marie', 'kokoro']

def main():
	global chara
	setChara(chara)
	setHwnd()
	myWinApi.setScreenSize(SCREEN_WIDTH, SCREEN_HEIGHT, SCREEN_SCALING_FACTOR)
	
	print 'Please click Remote Play window.'
	print '3' 
	time.sleep(1)
	print '2'
	time.sleep(1)
	print '1'
	time.sleep(1)
	print 'Script Start.'
	
	while True:
		if checkPSMark():
			myWinApi.moveCenter()
			myPrint(' Wait 10sec.')
			time.sleep(10)
			continue
			
		skipSpeech()
		
		if checkMorning() or checkDayTime() or checkEvening():
			if checkSelectPool():
				selectPyonPyonGame()
				doPyonPyonGame()
			else:
				selectPool()
		elif checkNightTime() and checkInHotel():
			goToBed()
		elif checkInCasino():
			pressKey('esc')
		elif checkEnding():
			skipMovie()
			skipSpeech()
		elif checkTitle():
			goIsland()
		elif checkSelectGirl():
			charas = getCharas()
			if chara in charas:
				charas = getCharas()
				charaNum = charas.index(chara)
				nextCharaNum = (charaNum+1)%len(charas)
			else:
				nextCharaNum = 0
			nextChara = charas[nextCharaNum]
			while nextChara in skipChara:
				nextCharaNum = (nextCharaNum+1)%len(charas)
				nextChara = charas[nextCharaNum]
			chara = nextChara
			setChara(chara)
			selectChara(chara)
		elif checkSelectPartner():
			selectPartner()
		else:
			myPrint('Can\'t detect item.')
			pressKey('down')
			
			
if __name__ == "__main__":
	main()